/*
  Josh's Custom CSS Reset
  https://www.joshwcomeau.com/css/custom-css-reset/
*/

*,
*::before,
*::after {
  box-sizing: border-box;
}

* {
  margin: 0;
}

html {
  text-size-adjust: 100%;
}

body {
  line-height: 1.55;
  -webkit-font-smoothing: antialiased;
}

article,
aside,
footer,
header,
nav,
section,
figcaption,
figure,
main {
  display: block;
}

audio,
video {
  display: inline-block;
}

img {
  vertical-align: middle;
}

input,
button,
textarea,
select {
  font: inherit;
}

body {
  padding-block: 5rem;
  display: flex;
  flex-direction: column;
  gap: 1rem;
  align-items: center;
  justify-content: center;
  height: 100vh;
}

.sr-only {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border-width: 0;
}

.logo {
  height: 100%;
  width: 100%;
  margin-inline: auto;
}

@media (min-width: 678px) {
  .logo {
    height: 75%;
    width: 50%;
  }
}

.button {
  display: flex;
  align-items: center;
  justify-content: center;
  border: none;
  border-radius: 0.5rem;
  cursor: pointer;
  padding: 0.5rem 1rem;
  min-height: 2.5rem;
  gap: 0.25rem;
  text-decoration: none;
  background-color: #cbab62;
  color: #2f1d05;
}

.button:hover {
  background-color: #c19e3a;
}

.button svg {
  flex-shrink: 0;
}
